logo

Joomla 1.5 eller 1.6?

Med udgivelsen er Joomla 1.6 og nu også de første par opdateringer af den, er det jo klart at mange vil være i tvivl om hvorvidt man skal bruge Joomla version 1.5.x eller version 1.6.x.Det er jo altid en svær diskussion for der er ikke noget korrekt svar, efter min mening i hvert fald.

Mange vil sige at man selvfølgelig skal køre i den nyeste version, dels for at være sikker på at man ikke bliver hacket men også for at få alle det nye features. Personligt vil jeg nok vælge at slå koldt vand i blodet i stedet, jeg kan godt forstå at folk er spændte på den nye Joomla version, det er jeg da bestemt også. Men... jeg har det med Joomla version 1.6, som jeg har det med alt andet nyt software, nemlig at jeg synes man skal give softwaren lidt tid før man tager den i brug. Det bunder i at Joomla.org har meldt ud af Joomla 1.5 vil blive supporteret i et år efter version 1.6's udgivelse.

På den baggrund har jeg på ingen måde travlt med at få opdatert mine hjemmesider til version 1.6, jeg vil derimod hellere holde dem i version 1.5, så længe som muligt. Det er ikke kun pågrund af at version 1.6 er helt ny, men også på grund af at det ikke bare er en simpel opdatering. Version 1.6 er et helt nyt system, så du kan ikke bare lige opdatere din version 1.5 til version 1.6. Indtil videre har jeg ikke set nogle migreringsværktøjer, men det kommer da sikkert på et tidspunkt. Men det er jo op til udviklerne så det er meget svært at sige hvornår sådanne vil se dagens lys, og selvfølgelig også hvordan de kommer til at fungere.

Som det ser ud lige nu, så er vi så langt i udviklingen af version 1.5 at man, efter min mening, sagtens kan køre videre med denne flere år endnu. Der findes jo faktisk også en hel del sider, der den dag i dag, kører version 1.0 af Joomla. Så det er ikke umuligt at bliver ved med at køre i en lidt ældre version. Men når alt er sagt, så er der jo selvfølgelig også en chance for at der vil være nogle sikkerheds huller eller lignende, der står åbne men som bare ikke er fundet endnu. Jeg vil derfor anbefale at man har en fornuftig backupplan og hele tiden vurderer situationen.

Med alt det sagt, så vil jeg da bestemt opfordrer folk til at gå igang med 1.6 og lege med den. Det er jo på den måde eventuelle fejl findes og det er sådan vi får sat gang i udviklingen, som kom endelig igang!

Så som det ser ud lige nu, vil jeg altså anbefale at man holde sine gamle sider i version 1.5. Nye sider kan man efterhånden sagtens opbygge i version 1.6, der er allerede kommet så mange moduler, komponenter og skabeloner, at der er fornuftigt at arbejde med.

Så ta' springet og kom igang med version 1.6 på jeres nye sider, eller i hvert fald jeres test sider.